Scilab Function

mgetstr - read a character string

### Calling Sequence

  `str=mgetstr(n [,fd] )`

### Parameters

- `n` :a positive scalar: The number of character to read.
- `fd` : scalar. The `fd` parameter returned by the function `mopen` . -1 stands for last opened file. Default value is -1.
- `str` : a character string

### Description

mgetstr function allows to read a character string in a binary file. If EOF is reached before read completion only the properly read values will be returned.

### See Also

`mclose` , `meof` , `mfprintf` , `fprintfMat` , `mfscanf` , `fscanfMat` , `mget` , `mgetstr` , `mopen` , `mprintf` , `mput` , `mputstr` , `mscanf` , `mseek` , `mtell` , `mdelete` ,